put
https://cti.example.com/api/v2/taxonomies
The taxonomy endpoint allows you to create:
- a single taxonomy node, or
- all taxonomy nodes in a taxonomy node path.
Create a single taxonomy node by sending as a request payload:
- The taxonomy node name as a string. E.g., `"this is a name"`.
- A `TaxonomyNodeAPISchema` object.
Taxonomy node names:Taxonomy node names must be unique for their parents.
Create all the nodes along a taxonomy node
path by sending a list of taxonomy nodes
in these formats:
- A list of taxonomy node names.
The first string in the list must be the name of a root node.
For example:
["root node name", "parent node name", "child node name"]
- A list of taxonomy node URLs.
To refer to a node by URL, it must already exist.
For example:
[
"https://<platform_host>/api//taxonomies/4",
"https://<platform_host>/api//taxonomies/9"
] - A list of taxonomy node IDs.
To refer to a node by ID, it must already exist.
For example:
[4, 9]
- A list of `TaxonomyNodeAPISchema` objects.
If you specify an ID for a node,
it must already exist.
For example:
[
{
"id": 4,
"name": "a parent node name",
"description": "a description"
},
{
"id": 9,
"name": "a child node name",
"description": "a description"
}
] - A mix of types.
For example:
[
4,
"https://<platform_host>/api//taxonomies/9",
{
"name": "a child node name",
"description": "a description"
}
]
When sending a list of taxonomy nodes,
the first item in the list must be one of these:
-
A root node:
A root node is a top-level taxonomy node that has no parent nodes.
-
An existing parent node:
You must specify an existing parent node
by ID, URL, or as aTaxonomyNodeAPISchemaobject
with a specific"id".
Required permissions
modify taxonomies
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
